# -----------------------------------------------------------------------------
# Name: XAL format definition
# Version: 1
# Author: BullZip.com
# -----------------------------------------------------------------------------

[XAL]

# Set Properties
IGNORECASE=1
MULTILINE=1

# Begin Block
HEADER-HTML=<table style="border: 1px solid #999999; background-color: #eeeeee;" width="100%"><tr><td style="padding: 10px;" nowrap><code>

# End Block
FOOTER-HTML=</code></td></tr></table>

# One Line Comments
PATTERN=//[^\n]*
FORMAT-HTML=<span style="color: #009900"><i>$$</i></span>

# Multi Line Comments and Strings
PATTERN=({[^}]*})|("([^"]|"")*"|'([^']|'')*')
FORMAT-HTML=<span style="color: #009900"><i>$0</i></span><span style="color: #990099">$1</span>

# Keywords
PATTERN=SET\b|INT\b|ENUM\b|REAL\b
FORMAT-HTML=<span style="color: #000099; font-weight: bold;">$$</span>

# Identifiers
PATTERN=[a-zA-Z_]+[a-zA-Z_0-9]*
FORMAT-HTML=$$

PATTERN=[ ]+
FORMAT-HTML=$$

# Line Breaks
PATTERN=\n
FORMAT-HTML=<br>$$
 
# White Spaces
PATTERN=[\t]
FORMAT-HTML=&nbsp;&nbsp;&nbsp;&nbsp;

PATTERN=[\f\v]
FORMAT-HTML=&nbsp;

# Unmatched input
PATTERN=.
FORMAT-HTML=$$
#FORMAT-HTML=<span style="color: #ff0000">$$</span>
